const os = require('os');
const fs = require('fs');
const path = require('path');

const NPM_TOKEN = process.env.NPM_TOKEN;
const NPM_EMAIL = process.env.NPM_EMAIL;

if (!NPM_TOKEN) {
  throw Error(`no token is defined`);
}
if (!NPM_EMAIL) {
  throw Error(`no email defined`);
}

// .npmrc contents
const contents = [
  `_auth = ${NPM_TOKEN}`,
  `email = ${NPM_EMAIL}`,
  'always-auth = true'
];
// eslint-disable-next-line no-console
console.debug(`Writing .npmrc file`);
// Write to disk
fs.writeFileSync(path.resolve('.npmrc'), contents.join(os.EOL));
